Bug 166409 - Review Request: gajim - jabber client written in PyGTK
Review Request: gajim - jabber client written in PyGTK
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://gajim.org/
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-20 13:39 EDT by Dawid Gajownik
Modified: 2014-10-16 14:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 06:41:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2005-08-20 13:39:07 EDT
Spec Name or Url: http://80.55.221.90/~gajownik/linux/RPMS/gajim/gajim.spec
SRPM Name or Url: http://80.55.221.90/~gajownik/linux/RPMS/gajim/gajim-0.8-1.src.rpm
sha1sum: http://80.55.221.90/~gajownik/linux/RPMS/gajim/sha1sum
Description:
Gajim is a Jabber client written in PyGTK. The goal of Gajim's developers is
to provide a full featured and easy to use xmpp client for the GTK+ users.
Gajim does not require GNOME to run, eventhough it exists with it nicely.

/*
I have one question: is it better to use python packages (gnome-python2-gtkspell;gnome-python2-libegg) to add systray and spell checking functionality or maybe I should compile modules provided in the tarball?
*/
Comment 1 Dawid Gajownik 2005-08-22 08:06:09 EDT
I have updated the files. Now it's easier to choose whether to use internal or
external modules. Links are the same.
Comment 2 Aurelien Bompard 2005-08-23 06:36:59 EDT
It seems to work fine here, except the gajim-remote script:
$ gajim-remote --help
Traceback (most recent call last):
  File "gajim-remote.py", line 35, in ?
    import i18n
ImportError: No module named i18n

My guess is that it does not work with gajim 0.8 since you pulled it from the
trunk. If you can't find a working gajim-remote.py for version 0.8, I'd suggest
to  simply drop the gajim-remote functionnality.
Comment 3 Dawid Gajownik 2005-08-23 14:47:51 EDT
(In reply to comment #2)
> ImportError: No module named i18n

Ooops. Updated version is the same place (I haven't incremented release tag). I
have just changed this line in the gajim-remote.py file:

import i18n

to

from common import i18n

and it works :]

BTW is there any possibility to patch for example "Source1" file?
Comment 4 Aurelien Bompard 2005-08-24 05:16:29 EDT
> Updated version is the same place (I haven't incremented release tag)

Please do. Always increment the release tag when you make a change, even if the
package is never to be published. It makes it a lot easier at least for me, and
avoids confusion as to which version is approved.

> I have just changed this line in the gajim-remote.py file

Don't change upstream sources like this. The objective is to only include
sources that are identical to upstream. All modifications must be done inside
the spec file, for example in the %prep or %install stage.
I would have done this in %install:
-install -p -m 0755 %{SOURCE1} %{buildroot}%{_datadir}/gajim/src
+perl -p -e 's/^import i18n$/from common import i18n/g' %{SOURCE1} > \
+    %{buildroot}%{_datadir}/gajim/src

What is the matter with this file ? Did upstream forget to include it with the
release ?
Comment 5 Dawid Gajownik 2005-08-24 06:41:52 EDT
(In reply to comment #4)
> Please do. Always increment the release tag when you make a change

OK, done. Here's the URL → http://80.55.221.90/~gajownik/linux/RPMS/gajim/

> Don't change upstream sources like this.

Yes, I know. That's why I've asked about patching other sources :)

> -install -p -m 0755 %{SOURCE1} %{buildroot}%{_datadir}/gajim/src
> +perl -p -e 's/^import i18n$/from common import i18n/g' %{SOURCE1} > \
> +    %{buildroot}%{_datadir}/gajim/src

I don't know perl so I used sed. I left line with "install" because rpmlint was
complaining about wrong permissions.

> What is the matter with this file ? Did upstream forget to include it with the
> release ?

Hmmm... I don't know. I searched their mailing lists and I haven't found the
answer. I've added this file because I thought that it would be better to
enhance functionality of gajim → http://trac.gajim.org/wiki/GajimDBus
This file is also included in the PLD's rpm →
http://cvs.pld-linux.org/cgi-bin/cvsweb/SPECS/gajim.spec?rev=1.15
Comment 6 Aurelien Bompard 2005-08-24 07:33:31 EDT
OK, looks good.
Above the Source1 tag, you could add the full URL :
http://trac.gajim.org/file/trunk/scripts/gajim-remote.py?rev=3170&format=raw
(it won't work inside the source tag because of the query string)

Passed:
* RPM name
* Spec changes look OK
* Source gajim-0.8.tar.bz2 is the same as upstream
* Source gajim-remote.py is the same as upstream
* Patch gajim-0.8.cflags.patch (0) looks OK
* Patch gajim-0.8.po.patch (1) looks OK
* Patch gajim-0.8.remote.patch (2) looks OK
* Patch gajim-0.8.aplay.patch (3) looks OK
* The BuildRoot is the preferred one
* Spec looks OK
* Builds fine
* rpmlint looks OK
* File list looks OK
* Works fine (even with google talk... ;) )
Comment 7 Jeremy Katz 2005-08-24 11:21:09 EDT
FWIW, I would use the modules that are shipped as part of core instead of
compiling them in the package.  That'll just work better over time as things change.
Comment 8 Dawid Gajownik 2005-08-25 03:33:15 EDT
(In reply to comment #6)
> Above the Source1 tag, you could add the full URL :
> http://trac.gajim.org/file/trunk/scripts/gajim-remote.py?rev=3170&format=raw

Done. I have had few problems (wrong libdir on x86_64 platform and missing
BuildRequires: desktop-file-utils) but it now builds without a glith ;)

I have also updated owners.list file.

Thanks for the review!

(In reply to comment #7)
> FWIW, I would use the modules that are shipped as part of core instead of
> compiling them in the package.

Done. I just wasn't sure what is better: internal modules written in C or
external ones written in Python.
Comment 9 Aurelien Bompard 2006-08-29 06:41:57 EDT
(reassigning the bug to myself)
Comment 10 Debarshi Ray 2009-03-03 08:28:05 EST
Package Change Request
======================
Package Name: gajim
New Branches: EL-4 EL-5
Owners: michich
InitialCC: rishi
Comment 11 Kevin Fenzi 2009-03-03 15:47:24 EST
cvs done.
Comment 12 Michal Schmidt 2014-10-16 13:35:38 EDT
Package Change Request
======================
Package Name: gajim
New Branches: epel7
Owners: michich


A user requested Gajim in EPEL 7 in bug 1126898.
Comment 13 Gwyn Ciesla 2014-10-16 14:15:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.